SIXPACK(1e)

NAME
sixpack - Display a DNA sequence with 6-frame translation and ORFs

SYNOPSIS

sixpack -sequence sequence [-table list] [-firstorf boolean] [-lastorf boolean] [-mstart boolean] -outfile outfile -outseq seqoutall -reverse boolean -orfminsize integer -uppercase range -highlight range -number boolean -width integer -length integer -margin integer -name boolean -description boolean -offset integer -html boolean

sixpack -help

DESCRIPTION

sixpack is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Gene finding,Nucleic:Translation,Display" command group(s).

OPTIONS

  Input section

-sequence sequence

  Additional section

-table list
    Genetics code used for the translation

-firstorf boolean
    Count the beginning of a sequence as a possible ORF, even if it's inferior to the minimal ORF size. Default value: Y

-lastorf boolean
    Count the end of a sequence as a possible ORF, even if it's not finishing with a STOP, or inferior to the minimal ORF size. Default value: Y

-mstart boolean
    Displays only ORFs starting with an M. Default value: N

  Output section

-outfile outfile

-outseq seqoutall
    ORF sequence output

-reverse boolean
    Display also the translation of the DNA sequence in the 3 reverse frames Default value: Y

-orfminsize integer
    Minimum size of Open Reading Frames (ORFs) to display in the translations. Default value: 1

-uppercase range
    Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

-highlight range
    Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

-number boolean
    Number the sequence at the beginning and the end of each line. Default value: Y

-width integer
    Number of nucleotides displayed on each line Default value: 60

-length integer

-margin integer
    Default value: 10

-name boolean
    Set this to be false if you do not wish to display the ID name of the sequence. Default value: Y

-description boolean
    Set this to be false if you do not wish to display the description of the sequence. Default value: Y

-offset integer
    Number from which you want the DNA sequence to be numbered. Default value: 1

-html boolean
    Default value: N

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

sixpack is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.